/* IPM 共通CSS */

/* @import url("https://code.highcharts.com/css/highcharts.css"); */

/* .highcharts-xrange-series .highcharts-point {
    stroke-width: 1px;
    stroke: gray;
}

.highcharts-partfill-overlay {
    fill: #010101;
    fill-opacity: 0.3;
}

.highcharts-data-label text {
    fill: white;
    text-shadow: 1px 1px black, -1px 1px black, -1px -1px black, 1px -1px black;
} */

.mail_label{
    width: 220px;
}

.text-red{
    color: red !important;
}

#pes_cl{
    cursor: grabbing;
}

.label_header{
    font-size: 22px !important;
    padding-left: 40px;
}

.nc-icon{
    font-size: larger;
    font-weight: bolder;
    color: black;
    margin-right: 10px;
}

.mailarea {
    background-color: #F4F4FF;
    border: 2px solid rgb(118,113,113);
    border-radius: 5px;
    display: block;
    overflow: hidden;
    padding: 10px;
    width: 30vw;
    text-align: left;
    margin: 0 auto; /* Center horizontally */
}

.mail_topline {
    border-top: 2px solid rgb(118,113,113);;
    padding-top: 6px;
}

.mail_underline {
    border-bottom: 2px solid rgb(118,113,113);;
    padding-bottom: 6px;
}

#mail_list{
    width: 450px;
}

#mail_list label{
    font-size: 20px;
}

#send{
    margin-top: 15px;
}

.dropdown-menu {
    margin-top: 0px;
}

.fa{
    color:blue;
}

.hand_cursor {
    cursor: pointer;
}
.crumbs {
    text-align: center;
}

.crumbs ol {
    list-style-type: none;
    padding-left: 0;
}

.crumb {
    display: inline-block;
    width: 200px;
    border-radius: 4px;
    background-color: rgb(80, 131, 131) !important;
}

.crumb.active {
    background-color: rgb(80, 131, 131) !important;
    border-bottom: solid 5px #ff7f50;
}

.table-diagnosis {
    border-collapse: separate;
    border-spacing: 0px 12px;
    margin-left: 20px;
}

.table-diagnosis td {
    padding-left: 30px;
}

.table-diagnosis input[type='text'],
.table-diagnosis input[type='date'],
.table-diagnosis select {
    width: 90%;
}

.field_list {
    max-height: 60vh !important;
}

.area-field {
    max-height: 60vh !important;
}

.area-sheath_blight {
    max-height: 60vh !important;
}

.area-rice_false_smut {
    max-height: 60vh !important;
}

.area-striped {
    max-height: 60vh !important;
}

.area-striped-list {
    max-height: 60vh !important;
}

.area-stink {
    max-height: 60vh !important;
}

.area-stink-list {
    max-height: 60vh !important;
}

.area-grain {
    max-height: 60vh !important;
}

.area-grain-list {
    max-height: 60vh !important;
}

.area-rice_blast {
    max-height: 60vh !important;
}

.area-weevil {
    max-height: 60vh !important;
}

.area-weevil-list {
    max-height: 60vh !important;
}

.area-beetle {
    max-height: 60vh !important;
}

.area-beetle-list {
    max-height: 60vh !important;
}

#area-graph > div {
    margin: auto;
}

#area-list div {
    max-height: 99%;
}

.diagnosis {
    border-top: none;
    border-left: none;
    border-right: solid 2px rgb(40, 65, 65);
    border-bottom: solid 2px rgb(40, 65, 65);
    color: white;
    font-weight: bold;
    font-size: 17px;
    cursor: pointer;
}
.exe-btn {
    width: 115px;
    height: 35px;
    border-radius: 4px;
    margin: 0.8%;
    background-color: rgb(80, 131, 131);
}

.margin_btn {
    margin: 15px 5px;
}
.exe-btn-40h {
    height: 40px;
}
.exe-btn-red {
    width: 100px;
    border-radius: 4px;
}
.diagnosis:hover {
    background-color: #67a1a1;
}

.exe-font16 {
    font-size: 16px;
}
.exe-red {
    background-color: rgb(200, 0, 0) !important;
}
.exe-blue {
    background-color: rgb(68, 114, 196);
}
.exe-red:hover {
    background-color: #eb3d3d !important;
}
.exe-blue:hover {
    background-color: #12adf5 !important;
}

.diagnosis:disabled {
    background-color: #aaaaaa !important;
    border-right: none;
    border-bottom: none;
}

.font_resize {
    color: rgb(118, 113, 113);
}

fieldset {
    border-radius: 10px;
    padding: 15px;
    font-size: 16px;
}

legend {
    font-size: 16px;
    border-bottom: none;
}
.cbox {
    border: 5px solid red;
}
.group-title {
    margin-bottom: 0px;
}
.mail-message {
    font-size: 12px;
    color: red;
}

.wiki {
    font-size: 16px;
}

.wiki a {
    color: blue;
}

.padding_bot {
    padding-bottom: 10px;
}

.padding_top {
    padding-top: 4%;
}

#false_table_wrapper button {
    text-transform: none;
    background-color: rgb(80, 131, 131);
    font-size: 16px;
    height: 40px;
    width: 100px;
    border-radius: 4px;
    color: white;
    border: none;
    font-weight: bold;
    cursor: pointer;
}

#sheath_table_wrapper button {
    text-transform: none;
    background-color: rgb(80, 131, 131);
    font-size: 16px;
    height: 40px;
    width: 100px;
    border-radius: 4px;
    color: white;
    border: none;
    font-weight: bold;
    cursor: pointer;
}

.dt-buttons {
    position: absolute;
    right: 40%;
    bottom: 0%;
}

.true_color {
    background-color: #dcf5e7 !important;
}

.false_color {
    background-color: #edcfc2 !important;
}

.small_fontz {
    color: red;
    font-size: 16px;
}

.color_redz{
    color: red;
}

.csvbut {
    position: absolute;
    right: 265%;
    bottom: 0%;
}

.replace_check {
    position: absolute;
    bottom: 10px;
    width: 95%;
}

/*スクロールダウン全体の場所*/
.scrolldown4 {
    /*描画位置※位置は適宜調整してください*/
    rotate: 270deg;
    position: absolute;
    top: 5%;
    left: 93%;
    /* animation: arrowmove 1s ease-in-out infinite; */
}

/*下からの距離が変化して全体が下→上→下に動く*/
@keyframes arrowmove {
    0% {
        bottom: 1%;
    }
    50% {
        bottom: 3%;
    }
    100% {
        bottom: 1%;
    }
}

/*Scrollテキストの描写*/
.scrolldown4 span {
    /*描画位置*/
    position: absolute;
    left: -20px;
    bottom: 10px;
    /*テキストの形状*/
    color: black;
    font-size: 0.7rem;
    letter-spacing: 0.05em;
    /*縦書き設定*/
    -ms-writing-mode: tb-rl;
    -webkit-writing-mode: vertical-rl;
    writing-mode: vertical-rl;
}

/* 矢印の描写 */
.scrolldown4:before {
    content: '';
    /*描画位置*/
    position: absolute;
    bottom: 0;
    right: -6px;
    /*矢印の形状*/
    width: 1px;
    height: 20px;
    background: black;
    transform: skewX(-31deg);
}

.scrolldown4:after {
    content: '';
    /*描画位置*/
    position: absolute;
    bottom: 0;
    right: 0;
    /*矢印の形状*/
    width: 1px;
    height: 50px;
    background: black;
}

.color_black {
    color: black !important;
}

.num_word {
    position: absolute;
    right: -15px;
    bottom: -155px;
    color: black;
}

.s_label {
    position: absolute;
    top: 10px;
    left: 30px;
    color: red;
}

.highlight {
    color: blue;
}

.m-control {
    background-color: #ffffff;
    border: 1px solid #dddddd;
    border-radius: 4px;
    color: black;
    line-height: normal;
    font-weight: bold;
    font-size: 18px;
    box-shadow: none;
    padding: 0.375rem 0.75rem;
    width: 60px;
}

.text-nowrap {
    white-space: nowrap !important;
}

.text-center {
    text-align: center !important;
}

.border-s {
    border-spacing: 0px 5px !important;
}

.table-diagnosis2 {
    margin-left: 45px;
}

.table-diagnosis2 input[type='text'],
.table-diagnosis2 input[type='date'],
.table-diagnosis2 select {
    width: 250px;
}

.pushleft {
    padding-left: 145px;
}

.table-diagnosis3 {
    border-collapse: separate;
    border-spacing: 0px 12px;
    margin-left: 20px;
}

.table-diagnosis3 td {
    padding-left: 30px;
}

.table-diagnosis3 input[type='text'],
.table-diagnosis3 input[type='date'],
.table-diagnosis3 select {
    width: 400px;
}

.absolute {
    position: absolute;
    left: 38%;
    top: 48px !important;
    z-index: 1000;
}

.form-controlG {
    height: calc(2.25rem + 7px);
    width: 350px;
    display: block;
    background-color: #ffffffee;
    /*border: 2px solid #BABABA;*/
    border-radius: 4px;
    color: rgb(118, 113, 113);
    line-height: normal;
    font-weight: bold;
    font-size: 18px;
    transition: border-color 0.3s ease-in-out;
    cursor: pointer;
}

.lineGraph {
    width: 400px;
    height: 250px;
}

/*メール配信条件*/
.all_check_button {
    width: 105px;
}
.clear_button {
    width: 105px;
}
.checks {
    margin-left: 100px;
    font-size: 18px;
}

.searched {
    background-color: rgb(80, 131, 131);
}

.exe-font17 {
    font-size: 15px !important;
}

.card label {
    font-size: 18px;
}

.icon_button{
    display: block;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    background-color:#ffffffee;
    cursor: pointer;
}

.hide_func{
    display: none;
}

.descript{
    padding-left: 40%;
}

.scroll-span{
    cursor: pointer;
}

.scroll-span2{
    cursor: pointer;
}

.separator {
    height: 5px;
    background-color: rgb(80, 131, 131);
}

.switch_button_position{
    position: absolute;
    /*left: 97%;
    top: 95px;*/
    margin-right: 10px;
    margin-top: 95px;
    z-index: 1000 !important;
}

.switch_button_position2{
    position: absolute;
    margin-right: 24px;
    margin-top: 95px;
    z-index: 1000 !important;
}

.switch_button{
    width: 33px;
    height: 30px;
    text-align: center;
    border-radius: 4px;
    color: black;
    cursor: pointer;
    background-color: white;
    outline: none;
    transition: background-color 0.3s;
    border: none;
    box-sizing: border-box;
    box-shadow: 0 1px 5px rgba(0,0,0,0.65);
}

.switch_button:focus {
  outline: none !important;
}

.switch_button:hover {
    background-color: #f3eded !important;
}

/* .height_adjust{
    height: 650px !important;
    bottom: -65px !important;
} */

.height_adjust{
    position: relative;
    height: 808px;
    bottom: -25px;
}

.map_height{
    height: 650px !important;
}

.map {
    width: 100%;
    height: 99%;
}

.leaflet-control-geocoder-icon {
    width: 33px;
    height: 30px;
}

.cardview_postion{
  position: relative;
  bottom: -25px !important;
}

/* .card-body{
    height: 620px;
} */

/* .margin_left_btn{
    margin-left: auto;
} */

@media screen and (max-width: 950px){

    .table-diagnosis {
        width: 500px;
    }

    .table-diagnosis input[type="text"], .table-diagnosis input[type="date"],
     .table-diagnosis select {
        width: 280px !important;
    }

    .field_list {
        height: 700px;
        max-height: 65vh !important;
    }

    .area-field {
        height: 700px;
        max-height: 65vh !important;
    }

    .area-sheath_blight {
        max-height: 65vh !important;
    }

    .area-rice_false_smut {
        max-height: 65vh !important;
    }

    .area-striped {
        max-height: 65vh !important;
    }

    .area-striped-list {
        max-height: 65vh !important;
    }

    .area-stink {
        max-height: 65vh !important;
    }

    .area-stink-list {
        max-height: 65vh !important;
    }

    .area-grain {
        max-height: 65vh !important;
    }

    .area-grain-list {
        max-height: 65vh !important;
    }

    .area-rice_blast {
        max-height: 65vh !important;
    }

    .area-weevil {
        max-height: 65vh !important;
    }

    .area-weevil-list {
        max-height: 65vh !important;
    }

    .area-beetle {
        max-height: 65vh !important;
    }

    .area-beetle-list {
        max-height: 65vh !important;
    }

    .switch_button_position{
        position: absolute;
        /*left: 93%;
        top: 110px;*/
        margin-left: -16px;
        margin-top: 115px !important;
        z-index: 1000;
    }

    .switch_button_position2{
        position: absolute;
        margin-right: 27px;
        margin-top: 117px;
        z-index: 1000 !important;
    }

    .switch_button{
        width: 43px;
        height: 35px;
    }

    .leaflet-control-geocoder-icon {
        width: 43px !important;
        height: 35px !important;
    }

    .height_adjust{
        position: relative;
        height: 1070px;
        bottom: -22px;
    }

    /* .margin_left_btn{
        margin-left: 45% !important;
    } */

}


@media screen and (max-width: 480px){

    .area-field {
        height: 200px;
    }

    .table-diagnosis input[type="text"], .table-diagnosis input[type="date"],
     .table-diagnosis select {
        width: 175px !important;
    }

    .height_adjust{
        position: relative;
        height: 750px;
        bottom: -25px;
    }

    .field_list {
        max-height: 60vh !important;
    }

    .switch_button_position{
        position: absolute;
        /* left: 88%;
        top: 100px; */
        margin-left: -16px !important;
        margin-top: 100px !important;
        z-index: 1000;
    }

    .switch_button_position2{
        margin-top: 100px;
    }

    .switch_button{
        width: 30px;
        height: 28px;
    }

    .leaflet-control-geocoder-icon {
        width: 30px !important;
        height: 28px !important;
    }

}
